NS_GET_OWNER_UID(2const)

NAME
NS_GET_OWNER_UID - discovering the owner of a user namespace

SYNOPSIS
#include <linux/nsfs.h>  /* Definition of NS_GET_OWNER_UID */
#include <sys/ioctl.h>

int ioctl(int fd, NS_GET_OWNER_UID, uid_t *uid);

DESCRIPTION
The NS_GET_OWNER_UID operation can be used to discover the owner user ID of a user namespace (i.e., the effective user ID of the process that created the user namespace).

fd refers to a /proc/pid/ns/user file.

The owner user ID is returned in the uid_t pointed to by the third argument.

RETURN VALUE
On success, 0 is returned. On error, -1 is returned, and errno is set to indicate the error.

ERRORS

EINVAL
    fd does not refer to a user namespace.

STANDARDS
Linux.

HISTORY
Linux 4.11.

SEE ALSO
ioctl(2), ioctl_nsfs(2)